/*
	controls
*/

var controls:Object	= {
	updates : function(Void)	{
		trace("controls.updates()");
		switch (player.getState())	{
			case _global.STATE_MUSIC_PLAY:		//	play
				controls.setVisible(false, true);
				seeks.isVisible(true);
				musicPlaying	= true;
				break;
			case _global.STATE_MUSIC_PAUSE:		//	pause
				controls.setVisible(true, false);
				seeks.isVisible(true);
				musicPlaying	= false;
				break;
			case _global.STATE_MUSIC_STOP:		//	stop
				controls.setVisible(true, false);
				seeks.isVisible(false);
				musicPlaying	= false;
				break;
		}	//	end
		
	},
	
	
	setVisible : function(playFlag : Boolean, pauseFlag : Boolean)	{
		mcCon.mcPlay._visible	= playFlag;
		mcCon.mcPause._visible	= pauseFlag;
	},
	
	
	events : function(Void)	{
		trace("controls.events()");
		events.dispatch(mcCon.mcOpen, controls.musicOpen);
		events.dispatch(mcCon.mcSettings, option.init);
		events.dispatch(mcCon.mcPlay, controls.musicPlay);
		events.dispatch(mcCon.mcPause, controls.musicPlay);
		events.dispatchRepeat(mcCon.mcRew, controls.musicRew, controls.musicPrev);
		events.dispatchRepeat(mcCon.mcFF, controls.musicFF, controls.musicNext);
	},
	
	
	musicOpen : function(Void)	{
		trace("controls.musicOpen()");
		lyrics.remove();
		_global.LoadSWF(_global.MODE_BROWSER);
	},
	
	
	musicRew : function(Void)	{
		player.musicRew(0);
	},
	
	
	musicFF : function(Void)	{
		player.musicFF(0);
	},
	
	
	musicPlay : function(Void)	{
		if (player.getState() == _global.STATE_MUSIC_PLAY)	player.musicPause();	
		else	player.musicPlay();	
	},
	
	
	musicPrev : function(Void)	{
		musicDir	= SLIDE_RIGHT;
		player.musicPrev();
	},
	
	
	musicNext : function(Void)	{
		musicDir	= SLIDE_LEFT;
		player.musicNext();
	},
		
	
	goView : function(Void)	{
		mcCon._y	= 1200;
		view.init();
	},
	
	
	gesture : function(Void)	{
		mcMask.onPress	= function(Void) : Void	{
			gestureX	= this._xmouse;
			gestureY	= this._ymouse;
			
			this.onMouseMove	= function(Void) : Void	{
				gestureDiffX	= this._xmouse - gestureX;
				gestureDiffY	= this._ymouse - gestureY;
			}	//	end
		
			this.onMouseUp	= function(Void) : Void	{
				delete this.onMouseMove;
				delete this.onMouseUp;
				
				gestureDiffX	= this._xmouse - gestureX;
				gestureDiffY	= this._ymouse - gestureY;
				
				if (Math.abs(gestureDiffX) > Math.abs(gestureDiffY) * 2 && Math.abs(gestureDiffX) > 40)	{
					if (optionGesture)	{
						if (gestureDiffX < 0)	controls.musicNext();
						else	controls.musicPrev();
					}	//	end
					
				}	//	end
			
			}	//	end
			
		}	//	end
		
		mcMask.onRelease	= function(Void) : Void	{
			delete this.onMouseMove;
			delete this.onMouseUp;
		}	//	end
		
	},
	
	
	removeGesture : function(Void)	{
		delete mcMask.onPress;
		delete mcMask.onRelease;
	}


}