/*
	header
*/

var header:Object	= {
	init : function(Void)	{
		musicVolume		= system.getVol();
		optionRepeat	= (player.getRepeat() == 0) ? false : true;
		optionShuffle	= (player.getShuffle() == 0) ? false : true;
		optionPlay		= player.getBoundary() + 1;
		optionJE		= player.getJE();
	},
	
	
	updates : function(Void)	{
		header.updateJE();
		header.updateVolume();
		header.updateBattery();
		header.updateHold();
		header.updateRepeat();
		header.updateShuffle();
		header.updateBoundary();
	},
	
	
	updateJE : function(Void)	{
		mcCon.mcJE.gotoAndStop(optionJE + 1);
	},

	
	updateVolume : function(Void)	{
		musicVolume		= system.getVol();
		system.displayVolume(mcCon.mcVolume, "0" + musicVolume);
	},
	
	
	updateBattery : function(Void)	{
		systemBattery	= system.getBattery();
		
		mcCon.mcBattery.gotoAndStop(systemBattery);
	},


	updateHold : function(Void)	{
		systemHold	= system.getHold();
		
		mcCon.mcHold.gotoAndStop(systemHold);
	},
	
	
	updateRepeat : function(Void)	{
		if (optionRepeat)	{
			mcCon.mcRepeat.gotoAndStop(2);
		} else	{
			mcCon.mcRepeat.gotoAndStop(1);
		}	//	end
		header.adjustLine2();
	},
	
	
	updateShuffle : function(Void)	{
		if (optionShuffle)	{
			mcCon.mcShuffle.gotoAndStop(2);
		} else {
			mcCon.mcShuffle.gotoAndStop(1);
		}	//	end
		header.adjustLine2();
	},
	
	
	updateBoundary : function(Void)	{
		mcCon.mcBoundary.gotoAndStop(optionPlay);
		header.adjustLine2();
	},


	adjustLine2 : function(Void)	{
		mcCon.mcShuffle._x  = (DISPLAY_WIDTH - (mcCon.mcShuffle._width + 2 + mcCon.mcRepeat._width + 2 + mcCon.mcBoundary._width)) / 2;
		mcCon.mcRepeat._x   = mcCon.mcShuffle._x + mcCon.mcShuffle._width + 2;
		mcCon.mcBoundary._x = mcCon.mcRepeat._x + mcCon.mcRepeat._width + 2;
		
		trace("header.adjustLine2()" + "\n\tmcCon.mcShuffle = " + mcCon.mcShuffle._x + ", " + mcCon.mcShuffle._width + "\n\tmcCon.mcRepeat = " + mcCon.mcRepeat._x + ", " + mcCon.mcRepeat._width + "\n\tmcCon.mcBoundary = " + mcCon.mcBoundary._x + ", " + mcCon.mcBoundary._width);
	}
}