/*
	jet effects
*/

var je:Object	= {
	init : function(Void)	{
		if (!mcCon.mcPreset)	{
			mcCon.attachMovie("linkPreset", "mcPreset", mcCon.getNextHighestDepth(), { _x : 0, _y : 0 });
			je.updates();
					
			movie.slideToX(mcCon, 0, je.events);
		}	//	end
		
	},
	
	
	events : function(Void)	{
		events.dispatch(mcCon.mcPreset.mcBack, je.quit);
		
		mcCon.mcPreset.mcTouch.onPress	= function(Void) : Void	{
			var idx:Number;
			
			if (!TOUCHABLE)	return;
			
			if (this._ymouse < 40)	return;
			
			je.refresh(this);

			idx = je.getIdx(this._xmouse, this._ymouse);
			if (idx <= JE_MAX) {
				jeSelect	= idx;
			}
			
			jeFX		= this._xmouse;
			jeFY		= this._ymouse;
			jeSX		= mcCon.mcPreset.mcList._x;
			jeTimer		= getTimer();
			
			trace("mcCon.mcPreset.mcTouch.onPress()" + "\n\tjeFX = " + jeFX + "\n\tjeFY = " + jeFY + "\n\tjeSX = " + jeSX + "\n\tjeSelect = " + jeSelect + "\n\tjeTimer = " + jeTimer);

			this.onMouseMove	= function(Void) : Void	{
				jeDiff	= this._xmouse - jeMX;
				
				if (Math.abs(jeDiff) > 4)	{
					je.unselects(jeSelect);
					
					jeSX	+= jeDiff;
					
					if (jeSX > 20)		jeSX	= 20;
					if (jeSX < -980)	jeSX	= -980;
					
					mcCon.mcPreset.mcList._x	= jeSX;
					
					je.refresh(this);
				} else {
					je.unselects(jeSelect);
				}	//	end
				
			}	//	end
			
			this.onMouseUp	= function(Void) : Void	{
				delete this.onMouseMove;
				delete this.onMouseUp;
			}	//	end		

		}	//	end
	
		mcCon.mcPreset.mcTouch.onRelease	= function(Void) : Void	{
			if (!TOUCHABLE)	return;
		
			if ((getTimer() - jeTimer) < 400 && (Math.abs(this._xmouse - jeFX) + Math.abs(this._ymouse - jeFY)) < 10)	{
				if (jeSelect <= JE_MAX)	optionJE	= jeSelect;
				je.updates();
			}	//	end
			
			je.slideTo(this._xmouse - jeFX);
		}	//	end
		
	},
	
	
	getIdx : function(mx : Number, my : Number)	{
		var r:Number = Math.floor(6 * (my - 40) / (DISPLAY_HEIGHT - 40));
		var c:Number = Math.floor(3 * mx / DISPLAY_WIDTH);
		var i:Number = ((jePage - 1) * 18) + (r * 3) + c;
		trace("je.getIdx(mx = " + mx + ", my = " + my + ")" + "\n\tr = " + r + "\n\tc = " + c + "\n\ti = " + i);
		return i;
	},
	
	
	refresh : function(mc : MovieClip)	{
		jeMX	= mc._xmouse;
		jeMY	= mc._ymouse;
	},
	
	
	updates : function(Void)	{
		for (var i:Number = 0; i <= 47; i++)	je.unselects(i);
		je.selects(optionJE);
		
		//	page
		mcCon.mcPreset.mcPage.gotoAndStop(jePage);
	},
	
	
	selects : function(idx : Number)	{
		player.setJE(idx);
		mcCon.mcPreset.mcList["mcJE" + idx]._alpha	= 100;
		mcCon.mcJE.gotoAndStop(idx + 1);
	},
	
	
	unselects : function(idx : Number)	{
		mcCon.mcPreset.mcList["mcJE" + idx]._alpha	= 50;
	},	
	
	
	slideTo : function(diff : Number)	{
		if (Math.abs(diff) > 50)	{
			jePage	= (diff > 0) ? jePage - 1 : jePage + 1;
		
			if (jePage < 1)				jePage	= 1;
			if (jePage > JE_PAGE_MAX)	jePage	= JE_PAGE_MAX;
		}	//	end
		
		movie.slideToX(mcCon.mcPreset.mcList, -((jePage - 1) * DISPLAY_WIDTH), je.updates);
	},	
	
	
	quit : function(Void)	{
		mcCon.mcPreset.mcList._x	= 0;	
		movie.slideToX(mcCon, 0, je.remove);
	},
	
	
	remove : function(Void)	{
		movie.remove(mcCon.mcPreset);
	}


}