/*
	option
*/

var option:Object	= {
	init : function(Void)	{
		trace("option.init()");
		
		lyrics.remove();
		
		if (!mcCon.mcOption)	{
			//	gesture disabled
			controls.removeGesture();
			
			seekUpdate	= false;
		
			mcCon.attachMovie("linkOption", "mcOption", mcCon.getNextHighestDepth(), { _x : 0, _y : 0 });
			option.updates();
			
			movie.slideToY(mcCon, 0, option.events);
		}	//	end
		
	},
	
	
	events : function(Void)	{
		events.dispatch(mcCon.mcOption.mcSettings, option.goSettings);
		events.dispatch(mcCon.mcOption.mcJE, je.init);
		events.dispatch(mcCon.mcOption.mcBack, option.backTo);
		
		events.dispatch(mcCon.mcOption.mcTime1, option.timeRemain);
		events.dispatch(mcCon.mcOption.mcTime2, option.timeElapsed);
		events.dispatch(mcCon.mcOption.mcGesture, option.setGesture);
		events.dispatch(mcCon.mcOption.mcLyrics, option.setLyrics);
		
		events.dispatch(mcCon.mcOption.mcRotation, option.setRotation);
		events.dispatch(mcCon.mcOption.mcCover, option.setCover);
		
		events.dispatch(mcCon.mcOption.mcCycle3, option.setCycle4);
		events.dispatch(mcCon.mcOption.mcCycle4, option.setCycle6);
		events.dispatch(mcCon.mcOption.mcCycle6, option.setCycle3);
		
		events.dispatch(mcCon.mcOption.mcRepeat, option.setRepeat);
		events.dispatch(mcCon.mcOption.mcShuffle, option.setShuffle);
		
		events.dispatch(mcCon.mcOption.mcAll, option.playOne);
		events.dispatch(mcCon.mcOption.mcOne, option.playFolder);
		events.dispatch(mcCon.mcOption.mcFolder, option.playAll);
		
		events.dispatch(mcCon.mcOption.mcUp, option.quit);
	},
	
	
	updates : function(Void)	{
		trace("option.updates()");
		if (mcCon.mcOption)	{
			with (mcCon.mcOption)	{
				//	time
				mcTime1._visible	= (optionTime == 0) ? true : false;
				mcTime2._visible	= (optionTime == 1) ? true : false;
				
				//	gesture
				mcGesture._alpha	= (optionGesture)	? 100 : 50;
				
				//	rotation
				mcRotation._alpha	= (systemRotation) ? 100 : 50;
				
				//	cover
				mcCover._alpha		= (optionCover) ? 100 : 50;
				
				//	lyrics
				mcLyrics._alpha		= (optionLyrics) ? 100 : 50;
				
				//	refresh
				mcCycle3._visible	= (levelCycle == 3) ? true : false;
				mcCycle4._visible	= (levelCycle == 4) ? true : false;
				mcCycle6._visible	= (levelCycle == 6) ? true : false;
				
				//	repeat
				mcRepeat._alpha		= (optionRepeat) ? 100 : 50;
				
				//	shuffle
				mcShuffle._alpha	= (optionShuffle) ? 100 : 50;
				
				//	play
				mcAll._visible		= (optionPlay == 1) ? true : false;
				mcOne._visible		= (optionPlay == 2) ? true : false;
				mcFolder._visible	= (optionPlay == 3) ? true : false;
			}	//	end
		
		}	//	end

	},
	

	goSettings : function(Void)	{
		_global.LoadSWF(_global.MODE_SETTING);
	},


	backTo : function(Void)	{
		ext_fscommand2("SetAudPlayerSkinType", 0);
		_global.LoadSWF(_global.MODE_MUSIC);
	},	
	
	
	timeRemain : function(Void)	{
		optionTime	= 1;
		option.updates();
	},
	
	
	timeElapsed : function(Void)	{
		optionTime	= 0;
		option.updates();
	},	
	
	
	setGesture : function(Void)	{
		optionGesture	= (optionGesture) ? false : true;
		option.updates();
	},

	
	setLyrics : function(Void)	{
		optionLyrics	= (optionLyrics) ? false : true;
		option.updates();
	},


	setRotation : function(Void)	{
		systemRotation	= (systemRotation) ? false : true;
		option.updates();
	},

	
	setCover : function(Void)	{
		optionCover	= (optionCover) ? false : true;
		option.updates();
	},

	
	setCycle3 : function(Void)	{
		levelCycle	= 3;
		option.updates();
	},
	
	
	setCycle4 : function(Void)	{
		levelCycle	= 4;
		option.updates();
	},
	
	
	setCycle6 : function(Void)	{
		levelCycle	= 6;
		option.updates();
	},

	
	setRepeat : function(Void)	{
		optionRepeat	= (optionRepeat) ? false : true;
		option.updates();
		
		if (optionRepeat)	player.setRepeat(1);
		else	player.setRepeat(0);
	},
	
	
	setShuffle : function(Void)	{
		ext_fscommand2("GetEtcFilePath", musicIdx, "musicPrevPath");
		
		optionShuffle	= (optionShuffle) ? false : true;
		option.updates();
		
		if (optionShuffle)	player.setShuffle(1);
		else	player.setShuffle(0);
	},
	
	
	playAll : function(Void)	{
		optionPlay	= 1;
		option.updates();
		player.setBoundary(0);
	},
	
	
	playOne : function(Void)	{
		optionPlay	= 2;
		option.updates();
		player.setBoundary(1);
	},
	
	
	playFolder : function(Void)	{
		optionPlay	= 3;
		option.updates();
		player.setBoundary(2);
	},
	
	
	quit : function(Void)	{
		header.updates();
		system.saveConfig();
		
		movie.slideToY(mcCon, 0, option.remove);
	},
	
	
	remove : function(Void)	{
		movie.remove(mcCon.mcOption);
		
		//	gesture 
		controls.gesture();

		//	check lyrics
		if (optionLyrics)	lyrics.check();
		else	lyrics.remove(); 
		
		seekUpdate	= true;
	}


}