/*
	seek
*/
var seeks:Object	= {
	init : function(Void)	{
		seeks.displayElapsed(0);
		seeks.displayTotal(0);
	
		mcCon.mcSeek.onEnterFrame	= function(Void) : Void	{
			if (musicPlaying)	{
				if (getTimer() - seekTimer >= 1000)	{
					seeks.displayElapsed();
					seeks.displayTotal();
					view.displayTime();
					seekTimer	= getTimer();
				}	//	end
				
				if (seekUpdate)	seeks.updates();
			}	//	end
			
		}	//	end
		
	},
	
	
	events : function(Void)	{
		seeks.dispatch(mcCon.mcSeek, 190);
	},
	
	
	dispatch : function(mc : MovieClip, init : Number)	{
		mc.onPress	= function(Void) : Void	{
			if (!TOUCHABLE)	return;
			if (player.getState() != _global.STATE_MUSIC_PLAY)	return;
			
			seekUpdate	= false;
			seeks.seekTo(this, this._xmouse, init);
			
			this.onMouseMove	= function(Void) : Void	{
				if (TOUCHABLE)	seeks.seekTo(this, this._xmouse, init);
			}	//	end

			this.onMouseUp	= function(Void) : Void	{
				delete this.onMouseMove;
				delete this.onMouseUp;
				
				seekUpdate	= true;
			}	//	end
			
		}	//	end
		
		mc.onRelease	= function(Void) : Void	{
			delete this.onMouseMove;
			
			if (TOUCHABLE & musicPlaying)	seeks.goTo(this, this._xmouse, init);
			else	seekUpdate	= true;
		}	//	end
	
	},	
	
	
	seekTo : function(mc : MovieClip, curX : Number, width : Number)	{
		var pos:Number		= curX;
		var seekMax:Number	= width;
		
		trace("seeks.seekTo(curX = " + curX + ", width = " + width + ")");
		
		if (pos <= 0)		pos	= 0;
		if (pos >= seekMax)	pos	= seekMax;
		
		//	position
		mc.mcBar._width	= pos;
		
		delete seekMax;
		delete pos;
	},


	goTo : function(mc : MovieClip, curX : Number, width : Number)	{
		var pos:Number		= curX;
		var seekMax:Number	= width;
		var seekX:Number;
		
		trace("seeks.goTo(curX = " + curX + ", width = " + width + ")");
		
		if (pos <= 0)		pos	= 0;
		if (pos >= seekMax)	pos	= seekMax;
		
		seekX	= int(int(pos / seekMax * 100) * player.getTotal() / 100);
		ext_fscommand2("KeyAudDirectSeek", seekX);
		
		//	position
		mc.mcBar._width	= pos;
		seekUpdate		= true;
		
		delete seekX;
		delete seekMax;
		delete pos;
	},

	
	updates : function(Void)	{
		seekCur	= player.getCurrent() / player.getTotal();
		if (seekCur >= 1)	seekCur	= 0;
		if (seekCur <= 0 || seekCur == NaN)	seekCur	= 0;
		
		mcCon.mcSeek.mcBar._width	= Math.ceil(seekCur * 190);
	},

	
	displayElapsed : function(Void)	{
		if (optionTime == 0)	mcCon.mcSeek.txElapsed.text	= seeks.getPlayTime(player.getCurrent());
		else	mcCon.mcSeek.txElapsed.text	= seeks.getPlayTime(player.getTotal() - player.getCurrent());
		
		changeTxtFormat(mcCon.mcSeek.txElapsed, 0xAAAAAA, true, "left");
	},
	
	
	displayTotal : function(Void)	{
		mcCon.mcSeek.txTotal.text	= seeks.getPlayTime(player.getTotal());
		changeTxtFormat(mcCon.mcSeek.txTotal, 0xAAAAAA, true, "right");
	},


	getPlayTime : function(value : Number)	{
		return player.getHour(value) + ":" + player.getMin(value) + ":" + player.getSec(value);
	},
	
	
	isVisible : function(flag : Boolean)	{
		mcCon.mcSeek.mcBar._visible		= flag;
	}


}