/*
	system
*/

var system:Object	= {
	getBattery : function(Void)	{
		return ext_fscommand2("GetSysBattery") + 1;	
	},
	
	
	getVol : function(Void)	{
		return ext_fscommand2("GetEtcVolume");
	},
	
	
	getHold : function(Void)	{
		return ext_fscommand2("GetSysHoldKey") + 1;
	},
	
	
	getReceiver : function(Void)	{
		return ext_fscommand2("GetSysHeadphoneMode") + 1;
	},
	
	
	displayVolume : function(mc : MovieClip, value : String)	{
		with (mc)	{
			mcNumber1.gotoAndStop(Number(value.substr(-1, 1)) + 1);
			mcNumber2.gotoAndStop(Number(value.substr(-2, 1)) + 1);
			mcNumber3.gotoAndStop(Number(value.substr(-3, 1)) + 1);
		}	//	end
	
	},

	
	saveConfig : function(Void)	{
		var config:String;

		config	= VERSIONS + "|" + ((systemRotation) ? 1 : 0) + "|" + optionTime + "|" + ((optionCover) ? 1 : 0) + "|";
		config	+= ((optionGesture) ? 1 : 0) + "|" + ((optionLyrics) ? 1 : 0) + "|" + levelCycle;

		ext_fscommand2("SetEtcUIConfig", _global.MODE_MUSIC_UCI, config);
		delete config;
	},


	loadConfig : function(Void)	{
		var obj:Array;
		
		ext_fscommand2("GetEtcUIConfig", _global.MODE_MUSIC_UCI, "strConfig");
		obj	= strConfig.split("|");
	
		if (String(obj[0]) == VERSIONS)	{
			systemRotation	= (Number(obj[1]) == 1) ? true : false;
			optionTime		= Number(obj[2]);
			optionCover		= (Number(obj[3]) == 1) ? true : false;
			optionGesture	= (Number(obj[4]) == 1) ? true : false;
			optionLyrics	= (Number(obj[5]) == 1) ? true : false;
			levelCycle		= Number(obj[6]);
		}	//	end
	
		delete obj;
	}	
	
	
}
