/*
	init
*/

ext_fscommand2("SetAudAlbumArtMCSize", 320);


/*
	defines
*/

var DISPLAY_WIDTH:Number		= 240;
var DISPLAY_HEIGHT:Number		= 320;
var DISPLAY_WIDTH_HALF:Number	= 120;
var DISPLAY_HEIGHT_HALF:Number	= 160;

var VOLUME_MAX:Number		= 100;
var JE_MAX:Number			= 47;
var JE_PAGE_MAX:Number		= 3;

var SLIDE_LEFT:Number		= 0;
var SLIDE_RIGHT:Number		= 1;

var VERSIONS:String			= "PDUCIMUSIC_01";


/*
	vars
*/

var systemBattery:Number	= 2;
var systemHold:Number		= 1;
var systemReceiver:Number	= 1;
var systemRotation:Boolean	= false;

var musicFirst:Boolean		= true;
var musicIdx:Number			= 1;
var musicPrevIdx:Number		= -9999;
var musicPlaying:Boolean	= false;
var musicFlag:Number		= 1;
var musicDir:Number			= SLIDE_LEFT;
var musicMax:Number			= 4;
var musicVolume:Number		= 0;
var musicPrevPath:String	= "";
var musicTotal:Number		= 0;

var coverLoader:MovieClipLoader	= new MovieClipLoader();
var coverListener:Object		= new Object();
var coverDest1:Number			= 0;
var coverDest2:Number			= 0;
var coverAlpha1:Number			= 0;
var coverAlpha2:Number			= 0;
var coverFade1:Number			= 0;
var coverFade2:Number			= 0;
var coverDefault:Boolean		= false;
var coverNum:Number				= 0;

var levelCycle:Number			= 4;

var seekCur:Number		= 0;
var seekTimer:Number	= 0;
var seekUpdate:Boolean	= true;

var titleMax:Number		= 0;
var titleDir:Number		= 1;
var titleCycle:Number	= 0;

var optionJE:Number			= 1;
var optionRepeat:Boolean	= true;
var optionShuffle:Boolean	= true;
var optionPlay:Number		= 3;
var optionTime:Number		= 0;
var optionCover:Boolean		= true;
var optionGesture:Boolean	= false;
var optionLyrics:Boolean	= false;

var jeFX:Number		= 0;
var jeFY:Number		= 0;
var jeMX:Number		= 0;
var jeMY:Number		= 0;
var jeSX:Number		= 0;
var jeSelect:Number	= 0;
var jeTimer:Number	= 0;
var jeDiff:Number	= 0;
var jePage:Number	= 1;

var prevDir:Number		= 1;
var prevLock:Boolean	= false;

var gestureX:Number		= 0;
var gestureY:Number		= 0;
var gestureDiffX:Number	= 0;
var gestureDiffY:Number	= 0;

var lyricsType:Number	= 0;

/*
	include
*/

#include "./as/_common.as"
#include "./as/_system.as"
#include "./as/_music.as"
#include "./as/_controls.as"
#include "./as/_loader.as"
#include "./as/_seeks.as"
#include "./as/_option.as"
#include "./as/_je.as"
#include "./as/_header.as"
#include "./as/_global.as"
#include "./as/_player.as"
#include "./as/_popup.as"
#include "./as/_lyrics.as"

/*
	unload
*/

_root.onUnload	= function(Void) : Void	{
	delete coverLoader;
	delete coverListener;
}	//	end


/*
	start
*/

music.init();
