/*	
	external events
*/

_global.RegisterKeyListener(extEvent);

function extEvent(keyType : Number) : Void {
	trace("extEvent(keyType = " + String((keyType == _global.KEY_DISPLAY_UPDATE)? "KEY_DISPLAY_UPDATE":keyType) + ")");
	switch (keyType) {
		case _global.KEY_PLAY_SHORT:
			controls.musicPlay();
			break;
		case _global.KEY_PLAY_LONG:
			//	do nothing
			break;
			
		case _global.KEY_PLUS_SHORT:
		case _global.KEY_PLUS_LONG:			//	volume up
			ext_fscommand2("KeyComPlus");
			header.updateVolume();
			break;
			
		case _global.KEY_MINUS_SHORT:
		case _global.KEY_MINUS_LONG:		//	volume down
			ext_fscommand2("KeyComMinus");
			header.updateVolume();
			break;
			
		case _global.KEY_REW_SHORT:			//	prev
			controls.musicPrev();
			break;
			
		case _global.KEY_REW_LONG:			//	rew
			player.musicRew(1);
			break;
			
		case _global.KEY_FF_SHORT:			//	next
			controls.musicNext();
			break;
			
		case _global.KEY_FF_LONG:			//	ff
			player.musicFf(1);
			break;
			
		//case _global.KEY_DISPLAY_UPDATE_SPECIAL:
		//case _global.KEY_MUSIC_PLAY_ERROR:	//	validation
		//	player.checkDRM();
		//	extEvent(_global.KEY_DISPLAY_UPDATE);
		//	break;
			
		case _global.KEY_DISPLAY_UPDATE:	// F12
			player.checkDRM();
			header.updates();
			option.displayVolume();
			loader.displayTitle();

			//	control updates
			doNext(1, controls.updates);
			
			//	check music
			doNext(2, loader.updates);
			
			break;
			
		case _global.KEY_HOLD:
			header.updates();
			break;
			
		case _global.KEY_DISPLAY_ROTATE:
			if (mcCon.mcOption)	return;
			if (!TOUCHABLE)		return;
			
			if (systemRotation && !prevLock)	music.rotation();
			
			break;
	}	// end switch


}